ubuntu14.04下Qt安装fcitx架构输入法出现闪退

开发基于GTK+或QT的应用程序
回复
wmllz
帖子: 1
注册时间: 2015-05-06 14:48
系统: ubuntu14.04
送出感谢: 0
接收感谢: 0

ubuntu14.04下Qt安装fcitx架构输入法出现闪退

#1

帖子 wmllz » 2015-05-06 14:59

在网上查找到安装 libfcitx-qt5然后复制/usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/下的libfcitxplatforminputcontextplugin.so库
到qt安装目录下的5.4/gcc_64/plugins/platforminputcontexts/以及Tools/QtCreator/bin/plugins/platforminputcontexts/下然后分别再chmod +x libfcitxplatforminputcontextplugin.so重启后,没有成功。打开QtCreater时,就会出现闪退,根本用不了,已经试了很多方法了,有遇到想同问题的小伙伴或者有好方法解决这个问题的小伙伴,希望能帮帮我,感激不尽。
nzqlove11
帖子: 1
注册时间: 2014-08-08 10:42
系统: Ubuntu 14.04 LTS
送出感谢: 0
接收感谢: 0

Re: ubuntu14.04下Qt安装fcitx架构输入法出现闪退

#2

帖子 nzqlove11 » 2015-05-11 21:52

我同样遇到了这个问题!我刚开始用的Qt Creator是从官网上下的 Community 版的 .run 的安装包,我按照网上的方法 把所要安装的都装上发现不好使! 前几天连运行的程序也不能输入汉字了,就又把所有的方法试了一遍,仍然不好使!就把它卸了,然后从ubuntu的软件中心安装的 Qt Creator,别的什么也没有设置,装完之后可以识别输入法的框架了,也可以打汉字,以前连注释都写不了汉语的。因为我只是一个新手,所有我没弄明白到底是什么原因,把这个问题解决掉的。我在想是不是由于之前把需要的那些东西全装上了,然后在软件中心安装的时候把它们给关联上了。希望可以帮上你!
回复

回到 “GTK+和QT”